curl_getinfo
curl_multi_add_handle
cURL Functions
PHP Manual

# curl_init

Initialize a cURL session

### Description

resource curl_init ([ string `$url` = `NULL` ] )

Initializes a new session and return a cURL handle for use with the curl_setopt, curl_exec, and curl_close functions.

### Parameters

`url`

  If provided, the `CURLOPT_URL` option will be set to its value. You can manually set this using the curl_setopt function.

  > Note:

  > The file protocol is disabled by cURL if open_basedir is set.

### Return Values

Returns a cURL handle on success, `FALSE` on errors.

### Examples

Example #1 Initializing a new cURL session and fetching a web page

`<?php
// create a new cURL resource
$ch = curl_init();
// set URL and other appropriate options
curl_setopt($ch, CURLOPT_URL, "http://www.example.com/");
curl_setopt($ch, CURLOPT_HEADER, 0);
// grab URL and pass it to the browser
curl_exec($ch);
// close cURL resource, and free up system resources
curl_close($ch);
?>`

### See Also

- curl_close
- curl_multi_init